<?php
/**
 * CustomersApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CustomersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Customers
 *
 * Управление клиентами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CustomersClient;

use \Ensi\CustomersClient\Configuration;
use \Ensi\CustomersClient\ApiException;
use \Ensi\CustomersClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * CustomersApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CustomersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class CustomersApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createCustomer
     *
     * Создание объекта типа Customer.
     *
     */
    public function testCreateCustomer()
    {
    }

    /**
     * Test case for deleteCustomer
     *
     * Удаление объекта типа Customer.
     *
     */
    public function testDeleteCustomer()
    {
    }

    /**
     * Test case for deleteCustomerAvatar
     *
     * Удаление аватара покупателя.
     *
     */
    public function testDeleteCustomerAvatar()
    {
    }

    /**
     * Test case for getCustomer
     *
     * Получение объекта типа Customer.
     *
     */
    public function testGetCustomer()
    {
    }

    /**
     * Test case for replaceCustomer
     *
     * Обновление объекта типа Customer.
     *
     */
    public function testReplaceCustomer()
    {
    }

    /**
     * Test case for searchCustomers
     *
     * Поиск объектов типа Customer.
     *
     */
    public function testSearchCustomers()
    {
    }

    /**
     * Test case for searchOneCustomer
     *
     * Поиск объекта типа Customer.
     *
     */
    public function testSearchOneCustomer()
    {
    }

    /**
     * Test case for uploadCustomerAvatar
     *
     * Загрузка файла с аватаром покупателя.
     *
     */
    public function testUploadCustomerAvatar()
    {
    }

    /**
     * Test case for verifyEmailCustomer
     *
     * Подтверждение изменения почты.
     *
     */
    public function testVerifyEmailCustomer()
    {
    }
}
